% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/summary-tables.R
\name{BayesTools_model_tables}
\alias{BayesTools_model_tables}
\alias{model_summary_table}
\alias{runjags_estimates_table}
\alias{runjags_estimates_empty_table}
\title{Create BayesTools model tables}
\usage{
model_summary_table(
  model,
  model_description = NULL,
  title = NULL,
  footnotes = NULL,
  warnings = NULL,
  remove_spike_0 = TRUE,
  short_name = FALSE
)

runjags_estimates_table(
  fit,
  prior_list,
  transformations = NULL,
  title = NULL,
  footnotes = NULL,
  warnings = NULL,
  remove_spike_0 = TRUE
)

runjags_estimates_empty_table(title = NULL, footnotes = NULL, warnings = NULL)
}
\arguments{
\item{model}{model object containing a list of \code{priors}
and \code{inference} object, The \code{inference} must be a
named list with information about the model: model number
\code{m_number}, marginal likelihood \code{marglik}, prior and
posterior probability \code{prior_prob} and \code{post_prob},
and model inclusion Bayes factor \code{inclusion_BF}}

\item{model_description}{named list with additional description
to be added to the table}

\item{title}{title to be added to the table}

\item{footnotes}{footnotes to be added to the table}

\item{warnings}{warnings to be added to the table}

\item{remove_spike_0}{whether prior distributions equal to spike
at 0 should be removed from the \code{prior_list}}

\item{short_name}{whether the prior distribution names should be
shortened. Defaults to \code{FALSE}.}

\item{fit}{runjags model fit}

\item{prior_list}{list of prior distributions}

\item{transformations}{named list of transformations to be applied
to specific parameters}
}
\value{
\code{model_summary_table} returns a table with
overview of the fitted model, \code{runjags_estimates_table} returns
a table with MCMC estimates, and \code{runjags_estimates_empty_table}
returns an empty estimates table. All of the tables are objects of
class 'BayesTools_table'.
}
\description{
Creates model summary based on a model objects or
provides estimates table for a runjags fit.
}
\seealso{
\link{BayesTools_ensemble_tables}
}
